Skip to main content
POST
/
v1
/
applications
/
{uid}
/
instances
Create an Application Instance
curl --request POST \
  --url https://api.siit.io/v1/applications/{uid}/instances \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "google_admin",
  "external_id": "<string>",
  "instance_url": "<string>",
  "instance_name": "<string>"
}
'
{
  "result": {
    "uid": "<string>",
    "provider": "google_admin",
    "external_id": "<string>",
    "instance_url": "<string>",
    "instance_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.siit.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Application

Body

application/json
provider
enum<string>
required

The provider that manages this instance

Available options:
google_admin,
corma,
jumpcloud_actions,
okta_actions,
ms_entra
external_id
string
required

The external identifier from the provider

instance_url
string

The URL of the application instance

instance_name
string

The name of the application instance. Defaults to "{application_name} [{provider}]" if not provided.

Response

Application instance created

result
object